/* File Name: ChangePasswordWindow.h */

/*
************************************************************************
************************************************************************

Copyright © 1998 Multimedia Integration Products, All Rights Reserved

This file is not for public release.
************************************************************************

************************************************************************
************************************************************************ */


#pragma once


class ChangePasswordWindow : public BWindow 
{
public:
					ChangePasswordWindow();
					~ChangePasswordWindow();
					
	virtual void	MessageReceived(BMessage * message);
	virtual	bool	QuitRequested();
	
private:
	char			currentUserName[B_OS_NAME_LENGTH];
	BView			* winView;
	
	BPopUpMenu		* userNameMenu;
	void			FillUserNameMenu();
	
	BMenuField		* userNameMenuField;
	BTextControl	* passwordView;
	BCheckBox		* userEnabled;
	
	void			FillInInfo();
};

