/* File Name: BVCApp.h */

/*
************************************************************************
************************************************************************

Copyright © 1998 Multimedia Integration Products, All Rights Reserved

This file is not for public release.
************************************************************************

************************************************************************
************************************************************************ */


#pragma once
#include "SourceControlWindow.h"
#include "RepositoryLooper.h"
#include "Preferences.h"
#include "ChangePasswordWindow.h"

class BVCApp : public BApplication 
{
public:
					BVCApp();
					~BVCApp();
	
	virtual void	MessageReceived(BMessage * message);
	virtual	bool	QuitRequested();
	
private:
	SourceControlWindow		* scWindow;
	RepositoryLooper		* repository;
	
	Preferences				* prefsObject;
	PreferenceSet			* prefsSet;
	
	ChangePasswordWindow	* chPasswdWindow;
};

